play.mvc

## Class Http.Cookie

- java.lang.Object
- - play.mvc.Http.Cookie

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    Http

      public static class Http.Cookie
      extends java.lang.Object
      implements java.io.Serializable

  An HTTP Cookie
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `defaultDomain` When creating cookie without specifying domain, this value is used.
    `java.lang.String` | `domain` Cookie domain
    `boolean` | `httpOnly` See http://www.owasp.org/index.php/HttpOnly
    `java.lang.Integer` | `maxAge` Cookie max-age in second
    `java.lang.String` | `name` Cookie name
    `java.lang.String` | `path` Cookie path
    `boolean` | `secure` for HTTPS ?
    `boolean` | `sendOnError` Don't use
    `java.lang.String` | `value` Cookie value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cookie()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultDomain

          public static java.lang.String defaultDomain

      When creating cookie without specifying domain, this value is used. Can be configured using the property 'application.defaultCookieDomain' in application.conf. This feature can be used to allow sharing session/cookies between multiple sub domains.

    - #### name

          public java.lang.String name

      Cookie name

    - #### domain

          public java.lang.String domain

      Cookie domain

    - #### path

          public java.lang.String path

      Cookie path

    - #### secure

          public boolean secure

      for HTTPS ?

    - #### value

          public java.lang.String value

      Cookie value

    - #### maxAge

          public java.lang.Integer maxAge

      Cookie max-age in second

    - #### sendOnError

          public boolean sendOnError

      Don't use

    - #### httpOnly

          public boolean httpOnly

      See http://www.owasp.org/index.php/HttpOnly

  - ### Constructor Detail

    - #### Cookie

          public Cookie()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly